to_basic {plotly} | R Documentation

## Convert a geom to a "basic" geom.

### Description

This function makes it possible to convert ggplot2 geoms that are not included with ggplot2 itself. Users shouldn't need to use this function. It exists purely to allow other package authors to write their own conversion method(s).

### Usage

    to_basic(data, prestats_data, layout, params, p, ...)

### Arguments

`data` | the data returned by `ggplot2::ggplot_build()`.
`prestats_data` | the data before statistics are computed.
`layout` | the panel layout.
`params` | parameters for the geom, statistic, and 'constant' aesthetics
`p` | a ggplot2 object (the conversion may depend on scales, for instance).
`...` | currently ignored

[Package plotly version 4.9.0 Index]